summaryrefslogtreecommitdiff
path: root/jdat_notebooks/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jdat_notebooks/build.sh')
-rw-r--r--jdat_notebooks/build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jdat_notebooks/build.sh b/jdat_notebooks/build.sh
new file mode 100644
index 0000000..504db62
--- /dev/null
+++ b/jdat_notebooks/build.sh
@@ -0,0 +1,14 @@
+if [[ -z ${PKG_NAME} ]]; then
+ echo "Conda build has changed out from under you. PKG_NAME is undefined..."
+ exit 1
+fi
+
+dest="${PREFIX}/share/${PKG_NAME}"
+usedir="$(pwd)"
+
+if [[ -d ${usedir}/work ]]; then
+ usedir=${usedir}/work
+fi
+
+mkdir -p "${dest}"
+rsync -av --exclude '.git*' "${usedir}"/environment.yml "${usedir}"/notebooks/ "${dest}"/